V17.0
post
/ec-dc-svc/rest/v17.0/studies/{studyId}/{mode}/visitstatus/subjects
Retrieves a list of visit status for subjects. Includes the visit action in subject scheduled visits.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
220ED6ED76C44CA9BC771024E5D62B2B
Query Parameters
-
cycleCountToDate: string(date-time)
If specified for future visits, this includes cycle instances up to this date and time. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy. By default it returns only the next cycle visit.Example:
25-Oct-2023 14:30:15.123 -
nextVisitOnly: boolean
This is to specify to return only the next visit else this would return future visits as wellExample:
false -
notStarted: boolean
If this is set then non started visits would be included in the responseExample:
false -
signVerifyStatus(required): string
Status of Sign / Verify.Default Value:
ALLExample:ALL -
siteId: string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B5969AC2FBA840438F9E0DB26A2DD33E -
siteStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
view: string
This can take value as dmview and is added for Data Management subject and visit listing pageExample:
default
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest payload containing a list of subject identifiers.
Show Source
-
subjects: array
subjects
List of subject identifiers in UUID, 32-character uppercase hexadecimal string
Nested Schema : subjects
Type:
arrayList of subject identifiers in UUID, 32-character uppercase hexadecimal string
Show Source
-
Array of:
string(uuid)
List of subject identifiers in UUID, 32-character uppercase hexadecimal string
Example:
[
"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"2ABC8A2C11045A584ADEA8760F72B114"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : SubjectVisitsStatusResponse13
Type:
objectResponse wrapper containing the list of subject visit status entries for the requested study and mode
Show Source
-
subjects: array
subjects
List of subject visit status entries
Nested Schema : subjects
Type:
arrayList of subject visit status entries
Show Source
-
Array of:
object SubjectVisitsDto13
List of subject visit status entries
Nested Schema : SubjectVisitsDto13
Type:
objectList of subject visit status entries
Show Source
-
canBeCompleted: boolean
Indicates if all required data is present to mark subject as completedExample:
true -
canBeReplaced: boolean
Indicates if subject randomization can be replacedExample:
false -
canBeUndoWithdrawn: boolean
Indicates if subject withdrawal can be undoneExample:
false -
crntStateStudyVrsn: string
Current state study version in which the subject residesExample:
3.0.0.1 -
ehrLinkStatus: number
(int32)
Status code indicating EHR link stateExample:
1 -
freezedStatus: string
Frozen status of the subject.Acceptable values are - FROZEN, NEVER_FROZEN, NOT_APPLICABLEExample:
FROZEN -
lastSigned: string
(date-time)
Timestamp when the subject was last signedExample:
2023-01-01T09:00:00Z -
lockedInStudyVersion: string
Study design version in which the subject is lockedExample:
3.0.0.1 -
lockedStatus: string
Locked status of the subject.Acceptable values are - LOCKED, NEVER_LOCKED, NOT_APPLICABLEExample:
LOCKED -
replaceRand: string
Randomization replacement state or action. Acceptable Values are - Y or NExample:
Y -
scheduledVisits: array
scheduledVisits
Scheduled visits derived for the subject
-
signedStatus: string
Signed status of the subject. Acceptable values are - SIGNED, NEVER_SIGNED, NOT_APPLICABLEExample:
SIGNED -
studyCompletionDate: string
(date-time)
Subject study completion dateExample:
2023-01-01T09:00:00Z -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
verifiedStatus: string
Verified status of the subject. Acceptable values are - VERIFIED, NEVER_VERIFIED, NOT_APPLICABLEExample:
VERIFIED -
visits: array
visits
Visit statuses for the subject
-
withdrawalDate: string
(date-time)
Subject withdrawal dateExample:
2023-01-01T09:00:00Z
Nested Schema : scheduledVisits
Type:
arrayScheduled visits derived for the subject
Show Source
-
Array of:
object ScheduledVisitsDto20
Scheduled visit details including scheduling windows and action to be taken
Nested Schema : visits
Type:
arrayVisit statuses for the subject
Show Source
-
Array of:
object VisitsStatusDto15
Visit statuses for the subject
Nested Schema : ScheduledVisitsDto20
Type:
objectScheduled visit details including scheduling windows and action to be taken
Show Source
-
cycleCount: number
(int32)
Cycle count for the visitExample:
1 -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: number
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
scheduledDate: string
(date-time)
Scheduled date for the visitExample:
2025-10-12T14:30:31.892Z -
scheduledWindowEndDate: string
(date-time)
Window end date for scheduling the visitExample:
2025-10-20T14:30:31.892Z -
scheduledWindowStartDate: string
(date-time)
Window start date for scheduling the visitExample:
2025-10-10T14:30:31.892Z -
title: string
Display title for the visitExample:
Baseline -
visitAction: string
Action taken on the visit start date value. Acceptable values are SCREEN_ENABLE ,SCREEN_DISABLE ,RANDOMIZE_ENABLE ,RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE, COMPLETE_STUDY_DISABLE.Example:
SCREEN_ENABLE
Nested Schema : VisitsStatusDto15
Type:
objectVisit statuses for the subject
Show Source
-
associatedStudyVersion: string
Study version with which the visit status is associatedExample:
3.0.0.1 -
comment: string
Minimum Length:
0Maximum Length:2048Additional comment for the visit statusExample:All data verified -
designStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
doseHoldAction: string
Dose hold action for the visit. The acceptable values are ENABLE or DISABLEExample:
ENABLE -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
eventType: string
Event type corresponding to the visit. The acceptable values are: Visit_Not_Started, Visit_Started, Visit_Complete, Visit_Skipped, Visit_Skip_Undone, Visit_Date_Changed, Visit_Inserted, Visit_Show, Visit_Hide, VisitDateEntered and VisitDateCleared.Example:
Visit_Not_Started -
freezedStatus: string
Frozen status of the record can have values NOT_APPLICABLE, FROZEN, UNFREEZE.Example:
FROZEN -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
lockedDateTime: string
(date-time)
Timestamp when the visit was lockedExample:
2025-10-16T14:30:31.892Z -
lockedStatus: string
Locked status of the visit. Can have values LOCKED,UNLOCKED or NEVER_LOCKEDExample:
UNLOCKED -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the visit statusExample:Subject completed the visit successfully -
repeatingFormCount: number
Number of repeating form instances for the visit.Example:
2 -
scheduledWindowEndDate: string
(date-time)
Scheduled window end date for the visitExample:
2025-10-16T14:30:31.892Z -
scheduledWindowStartDate: string
(date-time)
Scheduled window start date for the visitExample:
2025-10-16T14:30:31.892Z -
signedStatus: string
Signed status for workflow, the acceptable values are: NEVER_SIGNED, SIGNED, UNSIGNED, NEVER_SIGNED.Example:
SIGNED -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
unResolvedQueries: integer
(int32)
Number of unresolved queries associated with this visitExample:
0 -
verifiedStatus: string
Verified status for review workflow,the acceptable values are: NEVER_VEIFIED, VERIFIED, UNVERIFIED, NOT_APPLICABLE.Example:
VERIFIED -
versionStart: string
Start timestamp of the version recordExample:
2025-10-16T14:30:31.892Z -
visitAction: string
Action taken on the visit start date value. Acceptable values are SCREEN_ENABLE ,SCREEN_DISABLE ,RANDOMIZE_ENABLE ,RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE, COMPLETE_STUDY_DISABLE.Example:
SCREEN_ENABLE -
visitStartDate: string
(date-time)
Visit start date timestampExample:
2025-10-16T14:30:31.892Z -
visitStartDateLockedDateTime: string
(date-time)
Timestamp when the visit start date was lockedExample:
2025-10-16T14:30:31.892Z -
visitStartDateLockedStatus: string
Locked status for the visit start date.Can have values LOCKED,UNLOCKED or NEVER_LOCKEDExample:
UNLOCKED -
visitStatus: string
Status of the visit. The Value of the status can be NEW, COMPLETE, COMPLETE_ERR, INPROGRESS, INCOMPLETE, INCOMPLETE_ERR, SKIPPED, UNDO_SKIP and NOT_STARTED.Example:
COMPLETE -
visitType: string
Type of visit as per the visit type enumeration. The acceptable values are: SCREENING, RANDOMIZATION, DISPENSATION, NON_DISPENSATION, OPTIONAL, OPTIONAL_DISPENSATION, WITHDRAW, SCREENDISP, SCREENRAND, SUBJECT_COMPLETE, UNSCHEDULED, UNSCHEDULED_DISPENSATION, ADVERSE_EVENT, SCREENFAILURE, RESCREENING and RESCREENDISP.Example:
SCREENING -
visitWindowWarning: string
Warning for the visit scheduling windowExample:
NONE
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object